//
//  MyRequestsController.h
//  SDEApp
//
//

#import "MyRequestsController.h"

#define ROW_HEIGHT 50

@implementation MyRequestsController

@synthesize incidentsTableView;
@synthesize incidentListArray;



- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation 
{
	// Overriden to allow any orientation for iPAd
	return YES;
}

- (void)didReceiveMemoryWarning {
    // Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
    
    // Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
    [super viewDidUnload];
    // Release any retained subviews of the main view.
    // e.g. self.myOutlet = nil;
}


- (void) viewDidLoad{
	[super viewDidLoad];
	
	incidentsTableView.rowHeight = ROW_HEIGHT;	

	
	self.navigationItem.title = @"My Requests";
	
	incidentListArray = [[NSMutableArray alloc] init];
	[self populateIncidents];
}

-(void) populateIncidents
{	
	
	NSMutableArray *test = [[NSMutableArray alloc] init];
	[test addObject:@"11"];
	[test addObject:@"12"];
	[test addObject:@"13"];
	[test addObject:@"14"];
	[test addObject:@"15"];
	[test addObject:@"16"];
	[test addObject:@"17"];
	[test addObject:@"18"];
	[test addObject:@"19"];	
	
	self.incidentListArray = test;
	[test release];
}

- (void)dealloc {
    [super dealloc];
	[incidentListArray release];
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView
{
	return 1;
}

- (CGFloat)tableView:(UITableView *)tableView heightForHeaderInSection:(NSInteger)section
{
	return 32.0f;
}


- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section
{
	NSInteger rowCount=0;
	rowCount = [incidentListArray count];
	return rowCount;
	
}

// Customize the appearance of table view cells.
- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath 
{
	static NSString *CellIdentifier = @"Cell";
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:CellIdentifier];
    if (cell == nil) {
        cell = [[[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:CellIdentifier] autorelease];
    }
    
	cell.textLabel.text = [NSString stringWithFormat:@"Example Entry %i, %i", indexPath.section, indexPath.row];
    
    return cell;
}

@end
